Decrypt a CMS message

- « openssl_cipher_key_length

- openssl_cms_encrypt »

- PHP Manual
- OpenSSL Functions
- Decrypt a CMS message

# openssl_cms_decrypt

(PHP 8)

openssl_cms_decrypt — Decrypt a CMS message

### Description

openssl_cms_decrypt(
string `$input_filename`,
string `$output_filename`,
OpenSSLCertificate|string `$certificate`,
OpenSSLAsymmetricKey|OpenSSLCertificate|array|string|null `$private_key` = `null`,
int `$encoding` = `OPENSSL_ENCODING_SMIME`
): bool

Decrypts a CMS message.

### Parameters

`input_filename`

  The name of a file containing encrypted content.

`output_filename`

  The name of the file to deposit the decrypted content.

`certificate`

  The name of the file containing a certificate of the recipient.

`private_key`

  The name of the file containing a PKCS#8 key.

`encoding`

  The encoding of the input file. One of `OPENSSL_ENCODING_SMIME`, `OPENSSL_ENCODING_DER` or `OPENSSL_ENCODING_PEM`.

### Return Values

Returns `true` on success or `false` on failure.